Bug 1022139 - libvirt-java: remove versioned jars from %{_javadir}
libvirt-java: remove versioned jars from %{_javadir}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt-java (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1022024
  Show dependency treegraph
 
Reported: 2013-10-22 11:49 EDT by Stanislav Ochotnicky
Modified: 2014-01-06 12:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-06 12:23:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:49:21 EDT
Package libvirt-java seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
libvirt-java:
/usr/share/java/libvirt-0.4.9.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 Cole Robinson 2014-01-06 12:23:37 EST
Fixed in warning: bogus date in %changelog: Mon Feb 3 2011 Bryan Kearney <bkearney@redhat.com) - 0.4.7-1
warning: bogus date in %changelog: Mon Jul 6 2010 Bryan Kearney <bkearney@redhat.com) - 0.4.6-1

libvirt-java-0.4.9-5.fc21
Comment 2 Cole Robinson 2014-01-06 12:23:59 EST
Fixed in libvirt-java-0.4.9-5.fc21

Note You need to log in before you can comment on or make changes to this bug.